Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.persister
Class BuildDefinitionDirectoryMapper

    java.lang.Object
      com.atlassian.bamboo.persister.BuildDefinitionDirectoryMapper

Deprecated. Replaced with `FastBuildDefinitionDirectoryMapper`. Kept to make upgrading old persisted versions easy

    public class BuildDefinitionDirectoryMapper

extends Object

This class allocates and keeps track of which builds are stored in which directories.

Nested Class Summary
`class` | `BuildDefinitionDirectoryMapper.BuildDetails` Deprecated.
`static interface` | `BuildDefinitionDirectoryMapper.BuildVisitor` Deprecated.

Constructor Summary
`BuildDefinitionDirectoryMapper(File buildDirctory)` Deprecated.

Method Summary
`String` | `addBuild(String buildName)` Deprecated.
`String` | `addBuild(String buildName, String buildDirName)` Deprecated.
`void` | `addBuildBuildResults(String buildName, String buildFile)` Deprecated.
`String` | `getBuildBuildFile(String buildName, long buildNumber)` Deprecated.
`String` | `getBuildDirectory(String buildName)` Deprecated.
`Iterator` | `keys()` Deprecated.
`void` | `removeBuild(String buildName)` Deprecated.
`void` | `setConfiguration(File buildDirectory)` Deprecated.
`void` | `visitAllBuilds(BuildDefinitionDirectoryMapper.BuildVisitor visitor)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildDefinitionDirectoryMapper

    public BuildDefinitionDirectoryMapper(File buildDirctory)

  Deprecated.

Method Detail

### getBuildDirectory

    public String getBuildDirectory(String buildName)

  Deprecated.

### addBuild

    public String addBuild(String buildName)

  Deprecated.

### addBuild

    public String addBuild(String buildName,
                           String buildDirName)

  Deprecated.

### removeBuild

    public void removeBuild(String buildName)

  Deprecated.

### keys

    public Iterator keys()

  Deprecated.

### setConfiguration

    public void setConfiguration(File buildDirectory)

  Deprecated.

### visitAllBuilds

    public void visitAllBuilds(BuildDefinitionDirectoryMapper.BuildVisitor visitor)

  Deprecated.

### addBuildBuildResults

    public void addBuildBuildResults(String buildName,
                                     String buildFile)

  Deprecated.

### getBuildBuildFile

    public String getBuildBuildFile(String buildName,
                                    long buildNumber)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.